unit uSelGroupDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TSelGroupDlg = class(TForm)
    GroupList: TListBox;
    Label1: TLabel;
    Panel1: TPanel;
    OKBtn: TButton;
    CancelBtn: TButton;
    procedure FormShow(Sender: TObject);
    procedure GroupListDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function SelectGroupDialog(GroupList: TStrings): string;

implementation

{$R *.DFM}

function SelectGroupDialog(GroupList: TStrings): string;
var
  D : TSelGroupDlg;
  Index : Integer;
begin
 result := '';
 Application.CreateForm(TSelGroupDlg,D);
 D.GroupList.Items.Assign(GroupList);
 if (D.ShowModal() = idOk) then
 begin
   Index := D.GroupList.ItemIndex;
   if Index >= 0 then
     result := D.GroupList.Items[Index]
 end;
 D.free();
end;


procedure TSelGroupDlg.FormShow(Sender: TObject);
begin
  if GroupList.Items.Count > 0 then
    GroupList.ItemIndex := 0;
end;

procedure TSelGroupDlg.GroupListDblClick(Sender: TObject);
begin
  close;
  Modalresult := mrOk;
end;

end.
